API ReferenceWorkflows
Create a workflow
POST
/v1/workflowsAuthorization
ApiKeyAuth AuthorizationBearer <token>
API key authentication. Keys are prefixed with environment:
npk_live_for productionnpk_test_for testing/staging
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.npayload.com/v1/workflows" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "trigger": {}, "steps": [ {} ] }'{
"id": "string",
"name": "string",
"description": "string",
"status": "active",
"trigger": {
"type": "event",
"config": {}
},
"steps": [
{
"id": "string",
"type": "action",
"config": {},
"next": "string"
}
],
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "INVALID_REQUEST",
"message": "Validation failed",
"details": {
"field": "name",
"reason": "Name is required"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}Was this page helpful?